Package owl.game

## Class GameViews

- java.lang.Object
- - owl.game.GameViews

-     public final class GameViews
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GameViews.Node<S>` | A state of the split game.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OwlModuleParser.TransformerParser` | `AUTOMATON_TO_GAME_CLI` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S,​A extends OmegaAcceptance> Game<S,​A>` | `filter​(Game<S,​A> game, Set<S> states)` |
    `static <S,​A extends OmegaAcceptance> Game<S,​A>` | `filter​(Game<S,​A> game, Set<S> states, Predicate<Edge<S>> edgeFilter)` |
    `static <S,​A extends OmegaAcceptance> Game<S,​A>` | `replaceInitialStates​(Game<S,​A> game, Set<S> initialStates)` |
    `static <S,​A extends OmegaAcceptance> Game<GameViews.Node<S>,​A>` | `split​(Automaton<S,​A> automaton, List<String> firstPropositions)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTOMATON_TO_GAME_CLI

          public static final OwlModuleParser.TransformerParser AUTOMATON_TO_GAME_CLI

  - ### Method Detail

    - #### filter

          public static <S,​A extends OmegaAcceptance> Game<S,​A> filter​(Game<S,​A> game,
                                                                                   Set<S> states)

    - #### filter

          public static <S,​A extends OmegaAcceptance> Game<S,​A> filter​(Game<S,​A> game,
                                                                                   Set<S> states,
                                                                                   Predicate<Edge<S>> edgeFilter)

    - #### split

          public static <S,​A extends OmegaAcceptance> Game<GameViews.Node<S>,​A> split​(Automaton<S,​A> automaton,
                                                                                                  List<String> firstPropositions)

    - #### replaceInitialStates

          public static <S,​A extends OmegaAcceptance> Game<S,​A> replaceInitialStates​(Game<S,​A> game,
                                                                                                 Set<S> initialStates)